# Interface IRevisionRulerColumn

All Superinterfaces:
  `IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension`

All Known Implementing Classes:
  `ChangeRulerColumn, LineNumberChangeRulerColumn`

public interface IRevisionRulerColumn extends IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension
A vertical ruler column capable of displaying revision (annotate) information. In order to provide backward compatibility for clients of `IRevisionRulerColumn`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IRevisionRulerColumnExtension` since version 3.3 allowing to register a selection listener on revisions and a configurable rendering mode.

Since:
  3.2
See Also:
  - `RevisionInformation`
  - `IRevisionRulerColumnExtension`

## Method Summary

Modifier and Type
Method
Description
`void`
`setRevisionInformation(RevisionInformation info)`
Sets the revision information.

### Methods inherited from interface IVerticalRulerColumn

`createControl, getControl, getWidth, redraw, setFont, setModel`

### Methods inherited from interface IVerticalRulerInfo

`getControl, getLineOfLastMouseButtonActivity, getWidth, toDocumentLineNumber`

### Methods inherited from interface IVerticalRulerInfoExtension

`addVerticalRulerListener, getHover, getModel, removeVerticalRulerListener`

## Method Details

### setRevisionInformation

void setRevisionInformation(RevisionInformation info)
Sets the revision information.

Parameters:
  `info` - the new revision information, or `null` to reset the ruler